%define oname ice
%define php5_extension %oname
%define major 3.3
Name: php5-ice
Version: %major.1
Release: alt1.2.M51.1

Summary: The Ice runtime for PHP applications

License: GPL
Group: System/Servers
Url: http://www.zeroc.com/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.zeroc.com/download/Ice/%major/Ice-%version.tar.bz2
Source1: http://www.zeroc.com/download/Ice/%major/Ice-rpmbuild-%version.tar.bz2

Requires: libice = %version

BuildRequires(pre): rpm-build-php5
BuildRequires: php5-devel

# Automatically added by buildreq on Fri Aug 03 2007
BuildRequires: gcc-c++ libice-devel

BuildRequires: ice = %version

%description
Ice is a modern alternative to object middleware such as CORBA or
COM/DCOM/COM+.  It is easy to learn, yet provides a powerful network
infrastructure for demanding technical applications. It features an
object-oriented specification language, easy to use C++, C#, Java,
Python, Ruby, PHP, and Visual Basic mappings, a highly efficient
protocol, asynchronous method invocation and dispatch, dynamic
transport plug-ins, TCP/IP and UDP/IP support, SSL-based security, a
firewall solution, and much more.

%prep
%setup -q -n IcePHP-%version
ln -s %_datadir/Ice-%version/slice slice
ln -s %_datadir/Ice-%version/certs certs
ln -s %_datadir/Ice-%version/config config
ln -s %_datadir/Ice-%version/config/Make.rules.Linux php/config
mkdir -p cpp
ln -s %_includedir cpp/include
tar xfj %SOURCE1

%build
cd php
%make_build OPTIMIZE=yes embedded_runpath_prefix="" \
	PHP_INCLUDE_DIR=`php-config --include-dir` PHP_LIBS=-lphp-%_php5_version

%install
install -D ice.ini %buildroot/%php5_extconf/%php5_extension/config
install -D php/lib/IcePHP.so %buildroot%php5_extdir/IcePHP.so

%files
%doc ICE_LICENSE LICENSE
%doc php/demo
%php5_extdir/IcePHP.so
%php5_extconf/%php5_extension/config

%post
%php5_extension_postin

%preun
%php5_extension_preun

%changelog
* Tue Aug 10 2010 Dmitriy Kulik <lnkvisitor@altlinux.org> 3.3.1-alt1.2.M51.1
- Build for branch 5.1

* Wed Jan 27 2010 Anton Farygin <rider@altlinux.ru> 3.3.1-alt1.2
- Rebuild with php5-5.2.12.20091216-alt1

* Fri Jul 24 2009 Alexey Gladkov <legion@altlinux.ru> 3.3.1-alt1.1
- NMU: Rebuild with php5-5.2.11.20090722-alt1.

* Mon Jun 15 2009 Evgeny Sinelnikov <sin@altlinux.ru> 3.3.1-alt1
- update to new release

* Tue Feb 10 2009 Alexey Gladkov <legion@altlinux.ru> 3.3.0-alt4.1
- NMU: Rebuild with php5-5.2.9.20090205-alt1.

* Mon Dec 01 2008 Evgeny Sinelnikov <sin@altlinux.ru> 3.3.0-alt4
- fixed build requires from rpm-build-php to rpm-build-php5

* Tue Jul 08 2008 Evgeny Sinelnikov <sin@altlinux.ru> 3.3.0-alt3
- fixed build requires for ice common files

* Tue Jul 08 2008 Evgeny Sinelnikov <sin@altlinux.ru> 3.3.0-alt2
- fixed source URL
 + Rename IcePHP to Ice for new common style with Ice/php

* Tue Jul 08 2008 Evgeny Sinelnikov <sin@altlinux.ru> 3.3.0-alt1
- update to new release

* Wed Apr 23 2008 Vitaly Lipatov <lav@altlinux.ru> 3.2.1-alt2
- rebuild with php 5.2.5

* Fri Sep 21 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.1-alt1
- new version 3.2.1 (with rpmrb script)

* Fri Aug 03 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.0-alt1
- initial build for ALT Linux Sisyphus

* Fri Dec 6 2006 ZeroC Staff
- See source distributions or the ZeroC website for more information
  about the changes in this release

